#ifndef EXTLIB_H_
#define EXTLIB_H_

#include "vgi.h"

/* iolib/initdest.c */
extern VG_BOOL init_iolib(void);
extern void dest_iolib(void);

/* flac/flac2wav.c */
extern VG_BOOL flac2wav(const char *, char **, size_t *);

/* mp3/mp3exec.c */
extern char * mp3exec(int, int, int, const char *);

/* ogg/oggexec.c */
extern char * oggexec(const char *);

/* tmidi/midiexec.c */
extern char * midiexec(int, int, int, const char *, int);

#endif /* EXTLIB_H_ */
